/*****  HEAD.H
 A General Header File ****/

#include <stdio.h>
#include <math.h>
#include <alloc.h>
#include <string.h>
#include <ctype.h>
#include <io.h>
#include <stdarg.h>
#include <graphics.h>
#include <bios.h>

#define PI 3.141592654
#define PI2 6.28318530718
#define TINY 1.0e-10

#define BUFSIZE 140
#define CR 13
#define BS 8
#define ESC 27



/*Function prototype for MEMALL.H	*/

extern void errmsg(char *);
extern int index(char *,char);
extern float *vector(unsigned int);
extern int *ivector(unsigned int);
extern float **matrix(int,unsigned int);
extern void free_vector(float *);
extern void free_ivector(int *);
extern void free_matrix(float **,int);

/* Function prototype for RK.H	*/

extern void minmaxx(float *,int,float *,float *);
extern void rk4(float *,float *,int,float,float,float *,
		void (*f)(float,float *,float *));

/* Function prototype for GTOOLS.H	*/

extern int gprintf(char *,...);
extern int gprintfxy(int,int,char *,...);
extern int gscanf(char *,...);
extern int gscanfxy(int,int,char *,...);
extern char *ggets(char *);

extern void grafini(void);
extern void putframew(int,int);
extern void putwinw(float,float,float,float,int,int,int);
extern void plotxy(float *,float *,int,float,float,float,float,
		   int,int,int,int);
extern FILE *gopen(char *,char *,char *);
extern void sscreen(FILE *);
extern void rscreen(FILE *);

/* Function prototype for FOUR.H	*/

extern void four1(float *,int,int);
extern void fourout(float *,float *,float *,int,float);
















